[CRIU] [PATCH 2/2] test: execute other tests in a new session
Andrey Vagin
avagin at openvz.org
Tue Aug 18 16:50:11 PDT 2015
The main reason is to execute tests without a control termnal and avoid
a case when tests try to use the --shell-job options.
Signed-off-by: Andrey Vagin <avagin at openvz.org>
---
test/Makefile | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/test/Makefile b/test/Makefile
index 4373f35..b2472d6 100644
--- a/test/Makefile
+++ b/test/Makefile
@@ -17,9 +17,9 @@ all:
TESTS = unix-callback mem-snap rpc libcriu mounts/ext security pipes crit socketpairs overlayfs
other: .FORCE
- for t in $(TESTS); do \
- $(MAKE) -C $$t run || exit 1; \
- done \
+ for t in $(TESTS); do \
+ setsid $(MAKE) -C $$t run || exit 1; \
+ done \
zdtm-tst-list: zdtm.sh
./zdtm.sh -l > zdtm-tst-list
--
2.1.0
More information about the CRIU
mailing list